com.amazonaws.services.lambda.model

## Class ListVersionsByFunctionResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.lambda.model.ListVersionsByFunctionResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListVersionsByFunctionResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListVersionsByFunctionResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListVersionsByFunctionResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextMarker()` A string, present if there are more function versions.
`List<FunctionConfiguration>` `getVersions()` A list of Lambda function versions.
`int` `hashCode()`
`void` `setNextMarker(String nextMarker)` A string, present if there are more function versions.
`void` `setVersions(Collection<FunctionConfiguration> versions)` A list of Lambda function versions.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListVersionsByFunctionResult` `withNextMarker(String nextMarker)` A string, present if there are more function versions.
`ListVersionsByFunctionResult` `withVersions(Collection<FunctionConfiguration> versions)` A list of Lambda function versions.
`ListVersionsByFunctionResult` `withVersions(FunctionConfiguration... versions)` A list of Lambda function versions.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListVersionsByFunctionResult

    public ListVersionsByFunctionResult()

### Method Detail

#### setNextMarker

    public void setNextMarker(String nextMarker)

A string, present if there are more function versions.

Parameters:
  `nextMarker` - A string, present if there are more function versions.

#### getNextMarker

    public String getNextMarker()

A string, present if there are more function versions.

Returns:
  A string, present if there are more function versions.

#### withNextMarker

    public ListVersionsByFunctionResult withNextMarker(String nextMarker)

A string, present if there are more function versions.

Parameters:
  `nextMarker` - A string, present if there are more function versions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getVersions

    public List<FunctionConfiguration> getVersions()

A list of Lambda function versions.

Returns:
  A list of Lambda function versions.

#### setVersions

    public void setVersions(Collection<FunctionConfiguration> versions)

A list of Lambda function versions.

Parameters:
  `versions` - A list of Lambda function versions.

#### withVersions

    public ListVersionsByFunctionResult withVersions(FunctionConfiguration... versions)

A list of Lambda function versions.

NOTE: This method appends the values to the existing list (if any). Use `setVersions(java.util.Collection)` or `withVersions(java.util.Collection)` if you want to override the existing values.

Parameters:
  `versions` - A list of Lambda function versions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withVersions

    public ListVersionsByFunctionResult withVersions(Collection<FunctionConfiguration> versions)

A list of Lambda function versions.

Parameters:
  `versions` - A list of Lambda function versions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListVersionsByFunctionResult clone()

Overrides:
  `clone` in class `Object`